using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace IvnitskiiProdazhi1
{
    public partial class Form5 : Form
    {
        public Form5()
        {
            InitializeComponent();
        }

        private void Form5_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "iS31Ivnickii7DataSet.Отделы". При необходимости она может быть перемещена или удалена.
            this.отделыTableAdapter.Fill(this.iS31Ivnickii7DataSet.Отделы);

        }

        private void отделыBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.отделыBindingSource.EndEdit();
            this.tableAdapterManager1.UpdateAll(this.iS31Ivnickii7DataSet);

        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            button1.Enabled = true;
        }

        private void отделыDataGridView_CellContentClick(object sender, DataGridViewCellEventArgs e)
        {

        }

        private void groupBox1_Enter(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            DataGridViewColumn col = null;
            switch (listBox1.SelectedIndex)
            {
                case 0:
                    col = dataGridViewTextBoxColumn2;
                    break;
                case 1:
                    col = dataGridViewTextBoxColumn3;
                    break;
                case 2:
                    col = dataGridViewTextBoxColumn4;
                    break;
                case 3:
                    col = dataGridViewTextBoxColumn5;
                    break;

            }
            if (radioButton1.Checked)
                отделыDataGridView.Sort(col, ListSortDirection.Ascending);
            else
                отделыDataGridView.Sort(col, ListSortDirection.Descending);
        }

        private void button2_Click(object sender, EventArgs e)
        {
            отделыBindingSource.Filter = "ФИО= ' " + comboBox1.Text + " ' ";
        }

        private void button3_Click(object sender, EventArgs e)
        {
            отделыBindingSource.Filter = " ";
        }

        private void button4_Click(object sender, EventArgs e)
        {
            for (int i = 0; i < отделыDataGridView.ColumnCount; i++)
                for (int j = 0; j < отделыDataGridView.RowCount; j++)
                {
                    отделыDataGridView[i, j].Style.BackColor = Color.White;
                    отделыDataGridView[i, j].Style.ForeColor = Color.Black;

                }
            for (int i = 0; i < отделыDataGridView.ColumnCount; i++)
                for (int j = 0; j < отделыDataGridView.RowCount; j++)
                    if (отделыDataGridView[i, j].Value != null)
                        if (отделыDataGridView[i, j].Value.ToString().IndexOf(textBox1.Text) > -1)
                        {
                            отделыDataGridView[i, j].Style.BackColor = Color.AliceBlue;
                            отделыDataGridView[i, j].Style.ForeColor = Color.Blue;
                        }

        }

        private void button5_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}